#### D.5.5.3 BettiNumsH

Procedure from library `goettsche.lib` (see goettsche_lib).

Usage:
  BettiNumsH(n, b); n integer, b list of non-negative integers

Return:
  list of non-negative integers

Purpose:
  computes the Betti numbers of the Hilbert scheme
  of n points on a surface with Betti numbers b

Note:
  an empty list is returned if n<0 or b is not a list of non-negative integers or if there are not enough Betti numbers

Example:

    LIB "goettsche.lib";
    ring r=0, (z), ls;
    // consider the projective plane P_2 with Betti numbers 1,0,1,0,1
    list b=1,0,1,0,1;
    // get the Betti numbers of the Hilbert scheme of 3 points on P_2
    print( BettiNumsH(3, b) );
    ==> [1]:
    ==>    1
    ==> [2]:
    ==>    0
    ==> [3]:
    ==>    2
    ==> [4]:
    ==>    0
    ==> [5]:
    ==>    5
    ==> [6]:
    ==>    0
    ==> [7]:
    ==>    6
    ==> [8]:
    ==>    0
    ==> [9]:
    ==>    5
    ==> [10]:
    ==>    0
    ==> [11]:
    ==>    2
    ==> [12]:
    ==>    0
    ==> [13]:
    ==>    1

User manual for Singular version 4.4.1, 2025, generated by texi2html.